package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.WxPark;

public interface WxParkService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
	PageInfo<WxPark> listAsPage(WxPark record, Integer pageIndex, Integer pageSize);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxPark getById(Long id);

    /**
     * 根据WxPark获得实体
     *
     * @param record
     * @return
     */
    WxPark getByObj(WxPark record);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(WxPark record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);
    
	
	

	
	
	
	
}
